#pragma once

#ifdef GINT
#include <gint/display.h>
#endif /* GINT */

#ifdef RAYLIB
#include <raylib.h>
/* colors */
#define C_WHITE WHITE
#define C_BLACK BLACK
#define C_RED RED
#define C_GREEN GREEN
#define C_BLUE BLUE
/* display size */
#define DWIDTH 396
#define DHEIGHT 224
/* macros */
#define C_RGB(r, g, b) (Color){r*255/31, g*255/31, b*255/31, 255}
/* simple functions */
#define dclear(c) ClearBackground(c)
#define drect(x1, y1, x2, y2, c) \
    DrawRectangle(x1, y1, (x2) - (x1) + 1, (y2) - (y1) + 1, c)
/* dummy types */
typedef int bopti_image_t;
typedef int font_t;
#endif /* RAYLIB */

/* prototypes */
void rDisplayInit(void);
void rDisplayDeinit(void);
void rDrawBegin(void);
void rDrawEnd(void);
